{
    attributes = (
        {
            columnName = "PREF_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PREF_id"; }; 
            name = prefId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UP_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "up_id"; }; 
            name = upId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UP_VALUE"; 
            externalType = VARCHAR2; 
            name = upValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (prefId, upId, utlOrdre, upValue); 
    className = "org.cocktail.fwkcktldepense.server.metier.EOUtilisateurPreference"; 
    classProperties = (preference, upValue, utilisateur); 
    externalName = "JEFY_DEPENSE.V_UTILISATEUR_PREFERENCE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (preference, upValue, utilisateur); 
        "_javaClientClassName" = "org.cocktail.fwkcktldepense.client.metier.EOUtilisateurPreference"; 
    }; 
    isReadOnly = Y; 
    name = FwkCaramboleUtilisateurPreference; 
    primaryKeyAttributes = (upId); 
    relationships = (
        {
            destination = FwkCarambolePreference; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = prefId; sourceAttribute = prefId; }); 
            name = preference; 
        }, 
        {
            destination = FwkCaramboleUtilisateur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
